Xapian: API Documentation: xapian-core: Xapian::ESet Class Reference

- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Xapian::ESet Class Reference

Class representing an ordered set of expand terms (an ESet). More...

List of all members.

## Public Member Functions
| ESet ()
| Construct an empty ESet.
| ~ESet ()
| Destructor.
| ESet (const ESet &other)
| Copying is allowed (and is cheap).
void | operator= (const ESet &other)
| Assignment is allowed (and is cheap).
Xapian::termcount | get_ebound () const
| A lower bound on the number of terms which are in the full set of results of the expand.
Xapian::termcount | size () const
| The number of terms in this E-Set.
Xapian::termcount | max_size () const
| Required to allow use as an STL container.
bool | empty () const
| Test if this E-Set is empty.
void | swap (ESet &other)
| Swap the E-Set we point to with another.
ESetIterator | begin () const
| Iterator for the terms in this E-Set.
ESetIterator | end () const
| End iterator corresponding to begin().
ESetIterator | back () const
| Iterator pointing to the last element of this E-Set.
ESetIterator | operator[] (Xapian::termcount i) const
| This returns the term at position i in this E-Set.
std::string | get_description () const
| Return a string describing this object.
## Public Attributes
Xapian::Internal::RefCntPtr< Internal > | internal

## Detailed Description

Class representing an ordered set of expand terms (an ESet).

This set represents the results of an expand operation, which is performed by Xapian::Enquire::get_eset().

## Constructor & Destructor Documentation

Xapian::ESet::ESet | ( |  | ) |

Construct an empty ESet.

Xapian::ESet::~ESet | ( |  | ) |

Destructor.

Xapian::ESet::ESet | ( | const ESet & | other | ) |

Copying is allowed (and is cheap).

## Member Function Documentation

void Xapian::ESet::operator= | ( | const ESet & | other | ) |

Assignment is allowed (and is cheap).

Xapian::termcount Xapian::ESet::get_ebound | ( |  | ) | const

A lower bound on the number of terms which are in the full set of results of the expand.

This will be greater than or equal to size()

Xapian::termcount Xapian::ESet::size | ( |  | ) | const

The number of terms in this E-Set.

Xapian::termcount Xapian::ESet::max_size | ( |  | ) | const`[inline]`

Required to allow use as an STL container.

bool Xapian::ESet::empty | ( |  | ) | const

Test if this E-Set is empty.

void Xapian::ESet::swap | ( | ESet & | other | ) |

Swap the E-Set we point to with another.

ESetIterator Xapian::ESet::begin | ( |  | ) | const

Iterator for the terms in this E-Set.

ESetIterator Xapian::ESet::end | ( |  | ) | const

End iterator corresponding to begin().

ESetIterator Xapian::ESet::back | ( |  | ) | const

Iterator pointing to the last element of this E-Set.

ESetIterator Xapian::ESet::operator[] | ( | Xapian::termcount | i | ) | const

This returns the term at position i in this E-Set.

std::string Xapian::ESet::get_description | ( |  | ) | const

Return a string describing this object.

The documentation for this class was generated from the following file:

- xapian/enquire.h